import React from "react";
import { SwiftUIViewProperties } from "../ReactNativeRenderSwiftUi.types";
export interface ContextMenuProps extends SwiftUIViewProperties {
    children: React.ReactNode;
    optionalSubviews: React.ReactNode;
}
/**
 * Displays a Swift UI ContextMenu
 *
 * @remarks
 * This Compoent must be used as a child of RNSwiftUI.RootView.
 *
 * @param optionalSubviews - The views to display in the menu
 * @param children - The view that should trigger the menu
 * @extends SwiftUIViewProperties
 *
 *
 *
 */
export declare const ContextMenu: (props: ContextMenuProps) => null;
export default ContextMenu;
//# sourceMappingURL=contextmenu.d.ts.map