import { SwiftUIViewProperties } from "../ReactNativeRenderSwiftUi.types";
import { SFSymbol } from "sf-symbols-typescript";
export interface LabelProps extends SwiftUIViewProperties {
    text: string;
    systemIconName: SFSymbol;
}
/**
   * Displays a Swift UI Label
   *
   * @remarks
   * This Compoent must be used as a child of RNSwiftUI.RootView.
   *
   * @param title - The text
   * @param systemIconName - The symbol to display (SF symbol) [optional]
  
   * @extends SwiftUIViewProperties
   *
   *
   *
   */
export declare const Label: (props: LabelProps) => null;
export default Label;
//# sourceMappingURL=label.d.ts.map