import * as React from "react";
import { SwiftUiEvent } from "../ReactNativeRenderSwiftUi.types";
import { ViewStyle } from "react-native";
export interface RootViewProps {
    children: React.ReactElement;
    reactViews: React.ReactNode[];
    style?: ViewStyle;
    onSwiftUIEvent?: (event: {
        nativeEvent: SwiftUiEvent;
    }) => void;
}
/**
 * Creates an RNSwiftUIView in which RNSwiftUI elements can be rednered
 *
 * @remarks
 * This component must be in a parent view with the ViewProp *flex:1*
 *
 * @param children - The RNSwiftUI Elements to display
 * @param reactViews - An array of React Components that can be used in Swift UI
 * @param onSwiftUIEvent - Is triggered on Swift UI Event
 * @extends SwiftUIViewProperties
 *
 *
 *
 */
export declare const RootView: (props: RootViewProps) => React.JSX.Element;
//# sourceMappingURL=root.d.ts.map