import React from "react";
import { SwiftUIViewProperties } from "../ReactNativeRenderSwiftUi.types";
export interface SectionProps extends SwiftUIViewProperties {
    children: React.ReactNode;
    optionalSubviews: React.ReactNode;
}
/**
 * Displays a Swift UI List Section
 *
 * @remarks
 * This Compoent must be used as a child of RNSwiftUI.RootView.
 *
 * @param optionalSubviews - The view to display as the section header
 * @param children - The views that should be displayed under this section
 * @extends SwiftUIViewProperties
 *
 *
 *
 */
export declare const Section: (props: SectionProps) => null;
export default Section;
//# sourceMappingURL=section.d.ts.map